System.Security 2.0.0.0 4.0.0.0 System.Enum To be added.

The enumeration defines the type of key used in a key agreement protocol.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Pkcs.KeyAgreeKeyChoice

  The key agreement key is ephemeral, existing only for the duration of the key agreement protocol.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Pkcs.KeyAgreeKeyChoice

  The key agreement key is static, existing for an extended period of time.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Pkcs.KeyAgreeKeyChoice

  The key agreement key type is unknown.